# Random Double (RandomDoubleGenerator)

The [Random Double](https://docs.tonic.ai/app/generation/generators/generator-reference/random-double) generator generates a random double number between the specified minimum (inclusive) and maximum (exclusive).

## Link object structure <a href="#generator-api-random-double-link-object" id="generator-api-random-double-link-object"></a>

The Random Double generator does not support linking or consistency. You cannot configure differential privacy.

The `metadata` object is populated from the [`ContinuousDistributionMetadata`](https://app.tonic.ai/apidocs/index.html#/models/ContinuousDistributionMetadata) object. You specify the minimum and maximum values.

```json
{
  "schema": "string",
  "table": "test",
  "column": "number-column",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "RandomDoubleGenerator",
    "min": double,
    "max": double,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-random-double-replacement" id="generator-api-random-double-replacement"></a>

In this example replacement for the Random Double generator, the generator is configured to produce numbers between 2.5 and 10.75.

```json
{
  "name": "number-column",
  "schema": "public",
  "table": "test",
  "links": [
    {
      "schema": "public",
      "table": "test",
      "column": "number-column",
      "metadata": {
        "presetId": "RandomDoubleGenerator",
        "generatorId": "RandomDoubleGenerator",
        "min": 2.5,
        "max": 10.75
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-random-double.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
